cURL
curl --request POST \
--url https://api.fluents.ai/v1/actions/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}
'import requests
url = "https://api.fluents.ai/v1/actions/create"
payload = {
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'action_transfer_call',
config: {},
label: 'Transfer Call',
description: 'This is a description',
action_trigger: {}
})
};
fetch('https://api.fluents.ai/v1/actions/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"user_id": "550e8400-e29b-41d4-a716-446655440000",
"type": "action_transfer_call",
"config": {},
"label": "Transfer Call",
"description": "This is a description",
"action_trigger": {}
}Actions
Create action
POST
/
v1
/
actions
/
create
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
action_transfer_call, action_end_conversation, action_dtmf, action_add_to_conference, action_trigger_function_call, action_trigger_phrase_based, action_set_hold, action_warm_transfer, phrase_condition_type_contains Example:
"action_transfer_call"
Example:
"Transfer Call"
Example:
"This is a description"
Response
201 - application/json
Example:
"550e8400-e29b-41d4-a716-446655440000"
Example:
"550e8400-e29b-41d4-a716-446655440000"
Available options:
action_transfer_call, action_end_conversation, action_dtmf, action_add_to_conference, action_trigger_function_call, action_trigger_phrase_based, action_set_hold, action_warm_transfer, phrase_condition_type_contains Example:
"action_transfer_call"
Example:
"Transfer Call"
Example:
"This is a description"
Was this page helpful?
⌘I

